// 系统相关
import { request } from '@/utils/request/index.ts';

// 获取cpu使用情况
export const cpuUsageApi = async () => {
  return await request({
    url: `/system/cpu/usage`,
    method: 'GET',
  })
}

// 获取gpu使用情况
export const gpuUsageApi = async () => {
  return await request({
    url: `/system/gpu/usage`,
    method: 'GET',
  })
}

// 获取gpu信息
export const gpuInfoApi = async () => {
  return await request({
    url: `/system/gpu/info`,
    method: 'GET',
  })
}

// 获取内存使用情况
export const memoryInfoApi = async () => {
  return await request({
    url: `/system/memory/usage/formatted`,
    method: 'GET',
  })
}
